# Generated by go2rpm
%bcond_without check

# https://github.com/gdamore/tcell
%global goipath         github.com/gdamore/tcell
Version:                1.4.0

%gometa

%global common_description %{expand:
Tcell is a Go package that provides a cell based view for text terminals, like
xterm. It was inspired by termbox, but includes many additional improvements.}

%global golicenses      LICENSE
%global godocs          AUTHORS README.adoc

Name:           %{goname}
Release:        1%{?dist}
Summary:        Alternate terminal package

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/gdamore/encoding)
BuildRequires:  golang(github.com/lucasb-eyer/go-colorful) >= 1.0.2
BuildRequires:  golang(github.com/mattn/go-runewidth)
BuildRequires:  golang(golang.org/x/sys/unix)
BuildRequires:  golang(golang.org/x/text/encoding) >= 0.3.0
BuildRequires:  golang(golang.org/x/text/encoding/charmap) >= 0.3.0
BuildRequires:  golang(golang.org/x/text/encoding/japanese) >= 0.3.0
BuildRequires:  golang(golang.org/x/text/encoding/korean) >= 0.3.0
BuildRequires:  golang(golang.org/x/text/encoding/simplifiedchinese) >= 0.3.0
BuildRequires:  golang(golang.org/x/text/encoding/traditionalchinese) >= 0.3.0
BuildRequires:  golang(golang.org/x/text/transform) >= 0.3.0

# These are all needed for rebuilding the terminfo database.
BuildRequires:  kitty-terminfo
BuildRequires:  ncurses
BuildRequires:  ncurses-base
BuildRequires:  ncurses-term
BuildRequires:  rxvt-unicode

%description
%{common_description}

%gopkg

%prep
%goprep
rm terminfo/?/*/term.go
sed -i 's/go run mkinfo.go/$1/g' terminfo/gen.sh
# Add missing models.
echo alacritty >> terminfo/models.txt
echo xterm-kitty >> terminfo/models.txt

%build
# Rebuild database from source.
%gobuild -o %{gobuilddir}/bin/mkinfo terminfo/mkinfo.go
pushd terminfo
bash gen.sh %{gobuilddir}/bin/mkinfo
popd

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc AUTHORS README.adoc
%{_bindir}/*

%gopkgfiles

%changelog
* Thu Aug 27 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.4.0-1
- Update to latest version
- Fix regeneration of terminfo

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-4
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Sep 23 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.3.0-1
- Update to latest version

* Sun Aug 18 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.2.0-1
- Update to latest version

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Jul 10 04:28:28 EDT 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.1.4-1
- Update to latest version

* Sun Jun 02 17:25:48 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.1.2-1
- Release 1.1.2

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 14 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.1.1-1
- Update to latest version

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 1.1.0-2
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Wed Oct 10 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.1.0-1
- Update to latest version
- Rebuild terminfo from Fedora information

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 07 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.0.0-2
- Re-template against More Go Packaging guidelines

* Fri Mar 16 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.0.0-1
- Update to first released version
- Check build of demos

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2.20170807gitd55f61c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0-0.1.20170807gitd55f61c
- Add commit date to revision

* Fri Aug 18 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0-0.1.gitd55f61c
- Initial package for Fedora
